LSSTP(8)

NAME
lsstp - Show STP configuration information

SYNOPSIS
lsstp

DESCRIPTION
lsstp displays information about the current Server Time Protocol (STP) configuration like coordinated time network (CTN) ID, timing state and leap seconds.

OUTPUT

STP online
    Indication of the online state

CTN ID
    The ID of the coordinated time network. If it can be decoded as EBCDIC it is shown as an EBCDIC string, otherwise a hexadecimal representation is shown.

CTN Type
    The type of timing network.

    No CTN STP is not configured for attachment to a CTN.

    STP-only STP is configured and attached to a CTN with only STP nodes.

    Mixed STP is configured and attached to a CTN with both STP and external time reference (ETR) nodes.

Stratum
    The number of servers in the timing path between the local STP clock and the selected primary time server.

Timing mode

    Local The Time-of-day (TOD) clock is stepped by the local hardware oscillator and is not steered by the STP facility.

    ETR The TOD clock is synchronized with an attached 9037 Sysplex Timer.

    STP The TOD clock is steered by the STP facility to maintain synchronization with a Coordinated Server Time (CST).

    Uninitialized The TOD clock is not initialized. The STP facility is allowed to perform a step adjustment to the TOD clock for synchronization.

Timing state
    The synchronization state of the STP facility. Can be unsynchronized, synchronized or stopped.

DST offset
    The daylight savings time offset relative to UTC in minutes.

Timezone offset
    The offset of the local time relative to UTC in minutes.

Time offset
    The total time offset at the server. This field is only valid in mixed CTN configurations.

Active leap seconds
    The number of leap seconds that are currently in effect at the STP facility.

Leap second <insertion|deletion> at
    If a leap second insertion or deletion is scheduled in the STP facility, this field shows the day and time of the scheduled change.

OPTIONS

-v|--version
    Print version number.

-h|--help
    Print usage text.

AUTHORS
Sven Schnelle <svens@linux.ibm.com>